import os
import textwrap


class EnvironmentVariable:

    def __init__(self, name, value):
        self.name = name
        self.value = '\\\n'.join(textwrap.wrap(value, 79))


def page_display(ctx):
    ctx.locals.ssl_vars = []
    env = os.environ.keys()
    env.sort()
    ctx.locals.environ = [EnvironmentVariable(v, os.environ[v]) for v in env]
    ctx.run_template('environment.html')
